Scilab Home page | Wiki | Bug tracker | Forge | Mailing list archives | ATOMS | File exchange
Please login or create an account
Change language to: English - Français - Português - 日本語 -

Please note that the recommended version of Scilab is 6.0.0. This page might be outdated.
See the recommended documentation of this function

Справка Scilab >> Java Interface > javasci v1 limitations

javasci v1 limitations

Why javasci v1 is now deprecated ?

Description

The version V1 of javasci has some important limitations:

  • To retrieve any variable from the Scilab language, knowing the type of the variable is mandatory a priori.
  • Only a few types are managed by the interface (boolean, double, complex and string).
  • Lack of consistency between Scilab and Java. For example, in Scilab, a scalar (matrix of [1,1]) is a matrix. In the Java interface, there are two different datatypes (example: SciDouble and SciDoubleArray).
  • There is no serialization possible on most of the datatype.
  • Calling a Scilab function can be done only with the Exec method and increases the complexity of the retrieval of multiple output arguments.
  • The package name does not follow the package naming rules of Scilab and the Scilab Java checkstyle.
  • Hard to manage graphics windows (this problem is not addressed yet in Javasci v2)
  • No interaction with the event loop (this problem is not addressed yet in Javasci v2)
  • Cannot manage several instances of Scilab (this problem is not addressed yet in Javasci v2)

See Also

History

ВерсияОписание
5.4.0 Javasci v1 is removed.
Scilab Enterprises
Copyright (c) 2011-2017 (Scilab Enterprises)
Copyright (c) 1989-2012 (INRIA)
Copyright (c) 1989-2007 (ENPC)
with contributors
Last updated:
Thu Oct 02 14:01:18 CEST 2014